Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class FillStrategy.NewInstance<T>

    java.lang.Object
      org.apache.openjpa.kernel.FillStrategy.NewInstance<T>

All Implemented Interfaces:
  FillStrategy<T>

Enclosing interface:
  FillStrategy<T>

    public static class FillStrategy.NewInstance<T>

extends Object
implements FillStrategy<T>

Construct and populate an instance by the given constructor and arguments.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.kernel.FillStrategy
`FillStrategy.Array<T>, FillStrategy.Assign<T>, FillStrategy.Bean<T>, FillStrategy.Factory<T>, FillStrategy.Map<T>, FillStrategy.NewInstance<T>`

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.FillStrategy
`_loc`

Constructor Summary
`FillStrategy.NewInstance(Class<T> cls)`
`FillStrategy.NewInstance(Constructor<? extends T> cons)`

Method Summary
`T` | `fill(Object[] values, Class<?>[] types, String[] aliases)`
`(package private)
`<X> Constructor<X>`
` | `findConstructor(Class<X> cls, Class<?>[] types)` Finds a constructor of the given class with given argument types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FillStrategy.NewInstance

    public FillStrategy.NewInstance(Constructor<? extends T> cons)

### FillStrategy.NewInstance

    public FillStrategy.NewInstance(Class<T> cls)

Method Detail

### findConstructor

    <X> Constructor<X> findConstructor(Class<X> cls,
                                       Class<?>[] types)

  Finds a constructor of the given class with given argument types.

### fill

    public T fill(Object[] values,
                  Class<?>[] types,
                  String[] aliases)

  Specified by:
    `fill` in interface `FillStrategy<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.